angular.module('starter.controllers')

    .controller('DiscoveryBookHomeBookLeaveMessageCtrl', function ($scope, $stateParams, $ionicSlideBoxDelegate, $ionicTabsDelegate, $ionicLoading, apiService, uiService, ngCordovaService) {

        // ---------------------------------------------------------------------------------------------------
        $ionicTabsDelegate.showBar(false);



        // ---------------------------------------------------------------------------------------------------
        $scope.book = $stateParams.book;


        // ---------------------------------------------------------------------------------------------------
        $scope.resetUserMessage = function () {
            // TODO 后台临时要求的格式
            $scope.user_message = {
                title: '',
                summary: '',
                detail: '',                                             // 前台提供
                // createTime: "1487775999585",                         // 后台可以自动生成
                // alreadRead: true,
                sender: $scope.user.account,                            // 发送者
                senderAlias: $scope.user.name,                          // 发送者别名
                receiver: $scope.book.libraryRoom.userId,               // 接受者
                receiverAlias: $scope.book.libraryRoom.userNickName,    // 接受者别名
            };
        };



        // ---------------------------------------------------------------------------------------------------
        // 创建用户消息
        $scope.createUserMessage = function () {
            if ($scope.user_message.detail.length == 0) {
                ngCordovaService.showToast('留言不能为空');
                return;
            }
            uiService.ionicLoadingShow({ templateTitle: '正在提交留言...' });
            var tmpUserMsg = angular.copy($scope.user_message);
            var tmpAppendMsg = '您好，我是' + $scope.user.name + '，我在您的书房找到一本书，书名是《' + $scope.book.basebook.title + '》，ISBN是' + $scope.book.basebook.isbn + '。\n'
                + '下面是我给您的留言：\n';
            tmpUserMsg.detail = tmpAppendMsg + tmpUserMsg.detail;
            apiService.createUserMessage(tmpUserMsg, createUserMessageCallback);
        };
        var createUserMessageCallback = {
            onSuccess: function onLoginSuccess(data, status, config, headers) {
                ngCordovaService.showToast('留言成功');
                $scope.resetUserMessage();
            },
            onError: function (data, status, hedaers, config) {
                //
                ngCordovaService.showToast('留言失败');
                //
            },
            onFinally: function () {
                $ionicLoading.hide();
            }
        };



        // ---------------------------------------------------------------------------------------------------
        $scope.resetUserMessage();

    });
