angular.module('starter.controllers')

    .controller('MyFavoriteDetailCtrl', function ($ionicTabsDelegate,$scope, $state, $stateParams, apiService, $ionicSlideBoxDelegate) {

        $ionicTabsDelegate.showBar(false);
        //
        $scope.tabNames = ['简介', '评论'];
        $scope.slectIndex = 0;
        $scope.activeSlide = function (index) {//点击时候触发
            $scope.slectIndex = index;
            $ionicSlideBoxDelegate.slide(index);
        };
        $scope.slideChanged = function (index) {//滑动时候触发
            $scope.slectIndex = index;
        };
        $scope.pages = ["modules/home/home_book_brifintro.html", "modules/home/home_book_comments.html"];


        //
        $scope.book = $stateParams.book;    // 当前图书
        $scope.comments = [];               // 图书评论

        // ----------------------------------------------------------------------------------------------------------------
        // comments
        $scope.getCommentsFromDoban = function (book) {
            $scope.onGetCommentsFromDobanLoading = true;
            apiService.getCommentsFromDoban(book.isbn, getCommentsFromDobanCallback);
        };
        var getCommentsFromDobanCallback = {
            onSuccess: function (data, status, config, headers) {
                $scope.comments = data;
            },
            onError: function (data, status, config, headers) {
            },
            onFinally: function () {
                $scope.onGetCommentsFromDobanLoading = false;
            }
        };


        // ----------------------------------------------------------------------------------------------------------------
        $scope.getCommentsFromDoban($scope.book);


    });
